Bug 106781 - sysutils/bacula-server: bacula-server 1.38.11_2 director incompatible with threaded sqlite3 library
Summary: sysutils/bacula-server: bacula-server 1.38.11_2 director incompatible with th...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-15 15:20 UTC by John Hermes
Modified: 2007-04-16 23:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Hermes 2006-12-15 15:20:09 UTC
Bacula director (bacula-dir in the bacula-server port 1.38.11_2 built with SQLITE3 option) exits with signal 6 (or dumps core with signal 5 when run within gdb) when sqlite3 is built with the THREADS option. Confirmed on a P4 box running 6.1-RELEASE-p11 also.

Fix: 

Remove bacula-server and sqlite3 ports/packages.
Rebuild and reinstall sqlite3 port with THREADS deselected.
Rebuild and reinstall bacula-server port with SQLITE3 selected.
Create bacula database using provided scripts and set permissions properly.
Start bacula-dir using rc.d script.
How-To-Repeat: Build sqlite3 with THREADS option selected.
Build bacula-server with SQLITE3 option selected.
Create bacula database using provided scripts and set permissions properly.
Start bacula-dir using rc.d script.
Examine dmesg output or log files for process exit information or run within gdb to get a backtrace. Backtrace indicates a possible mutex problem in the threaded runtime.
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-12-28 23:46:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-12-28 23:58:15 UTC
Dan, can you take a look at this ?
ports/106781: bacula-server 1.38.11_2 director incompatible with  threaded sqlite3 library
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/106781

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #126:
it has Intel Inside

Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-12-28 23:59:12 UTC
State Changed
From-To: open->feedback

Wainting for maintainer feedback.
Comment 4 Dan Langille 2006-12-29 01:11:38 UTC
On 29 Dec 2006 at 1:58, IOnut wrote:

> Dan, can you take a look at this ?
> ports/106781: bacula-server 1.38.11_2 director incompatible with  threaded sqlite3 library
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/106781

I have forwarded it to the Bacula devel list:

http://article.gmane.org/gmane.comp.sysutils.backup.bacula.devel/7872

It may take a while... it's the holidays.  I would suggest the 
original take it up with the Bacula project... unless we know how to 
fix it, which I don't.

-- 
Dan Langille : Software Developer looking for work
my resume: http://www.freebsddiary.org/dan_langille.php
PGCon - The PostgreSQL Conference - http://www.pgcon.org/
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-12-30 05:07:13 UTC
State Changed
From-To: feedback->open

feedback recevied from maintainer
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-12-30 05:08:06 UTC
State Changed
From-To: open->feedback

Asked maintainer for a possible workaround.
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-01-04 23:54:00 UTC
State Changed
From-To: feedback->suspended

suspended waiting for vendor fix
Comment 8 Dan Langille 2007-04-02 03:34:57 UTC
I believe we might have a solution.  Use databases/sqlite3-threads 
instead.  I'll submit a PR when I can.  The patch will change the 
dependency to sqlite3-threads.  Others are welcome to draw up this 
patch.  I may not get to this for a few days.

My thanks to Kimi Ostro for working on this.

ref: 
http://article.gmane.org/gmane.comp.sysutils.backup.bacula.general/334
57

-- 
Dan Langille : Software Developer looking for work
my resume: http://www.freebsddiary.org/dan_langille.php
PGCon - The PostgreSQL Conference - http://www.pgcon.org/
Comment 9 Dan Langille 2007-04-04 12:27:24 UTC
Please apply the following patch.

Description:

Use databases/sqlite-threads instead of database/sqlite to avoid problems
described here: 
http://article.gmane.org/gmane.comp.sysutils.backup.bacula.general/33457

Bump port revision

diff -ruN /usr/ports/sysutils/bacula-server/Makefile bacula-server/Makefile
--- /usr/ports/sysutils/bacula-server/Makefile	Fri Mar  9 00:46:22 2007
+++ bacula-server/Makefile	Wed Apr  4 07:12:14 2007
@@ -7,6 +7,7 @@

  PORTNAME=	bacula
  DISTVERSION=	2.0.3
+PORTREVISION=	1
  CATEGORIES=	sysutils
  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
  MASTER_SITE_SUBDIR=	bacula
@@ -146,7 +147,7 @@
  SUB_LIST+=		REQ_MYSQL="" REQ_PGSQL=postgresql
  .elif defined(WITH_SQLITE3)
  CONFIGURE_ARGS+=	--with-sqlite3=yes
-LIB_DEPENDS+=		sqlite3:${PORTSDIR}/databases/sqlite3
+LIB_DEPENDS+=		sqlite3:${PORTSDIR}/databases/sqlite3-threads
  DBTYPE=			sqlite3
  .else
  CONFIGURE_ARGS+=	--with-sqlite=yes
Comment 10 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-04-05 23:12:56 UTC
State Changed
From-To: suspended->feedback

Thanks for the patch,Isn't it better to depend explicitly on 
sqlite3-threads package (see my private email).
Comment 11 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-04-16 23:31:17 UTC
State Changed
From-To: feedback->open

patch received
Comment 12 dfilter service freebsd_committer 2007-04-16 23:38:57 UTC
itetcu      2007-04-16 22:38:52 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server Makefile 
  Log:
  - explicitly depend on databases/sqlite-threads to avoid bacula-dir exiting on
  sig 6 [1]
  - kill a white space
  
  PR:             ports/106781 [2]
  Submitted by:   John Hermes [2], Dan Langille (maintainer) [1]
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.84      +2 -2      ports/sysutils/bacula-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-04-16 23:39:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!